import type { LocaleProps } from "@repo/i18n/config"
import { MainLayout } from "@repo/ui/MainLayout"
import { Button } from "@repo/ui/design/Button"
import { unstable_setRequestLocale } from "next-intl/server"
import { FaRocket } from "react-icons/fa6"

interface HomePageProps extends LocaleProps {}

const AboutPage: React.FC<HomePageProps> = (props) => {
  const { params } = props

  // Enable static rendering
  unstable_setRequestLocale(params.locale)

  return (
    <MainLayout>
      <section className="my-6 flex items-center space-x-6">
        <Button leftIcon={<FaRocket size={18} />} href="/">
          Home
        </Button>
      </section>
    </MainLayout>
  )
}

export default AboutPage
